## IdeCompletionProvider IdeCompletionProvider |

## Functions

gboolean | ide_completion_provider_context_in_comment ()
gboolean | ide_completion_provider_context_in_comment_or_string ()
gchar * | ide_completion_provider_context_current_word ()
void | ide_completion_provider_load ()

## Object Hierarchy

        GInterface
        ╰── IdeCompletionProvider

## Description

## Functions

### ide_completion_provider_context_in_comment ()

    gboolean
    ide_completion_provider_context_in_comment
                                   (GtkSourceCompletionContext *context);

### ide_completion_provider_context_in_comment_or_string ()

    gboolean
    ide_completion_provider_context_in_comment_or_string
                                   (GtkSourceCompletionContext *context);

### ide_completion_provider_context_current_word ()

    gchar *
    ide_completion_provider_context_current_word
                                   (GtkSourceCompletionContext *context);

### ide_completion_provider_load ()

    void
    ide_completion_provider_load (IdeCompletionProvider *self,
                                  IdeContext *context);

## Types and Values